<html>
    <head>
        <title>Meters-per-unit calculator</title>
    </head>
    <body>
    <?php

    MgInitializeWebTier(dirname(__FILE__)."/../webconfig.ini");

    if (!isset($_REQUEST["MapDefinition"]))
    {
        echo "ERROR: MapDefinition parameter is required";
    }
    else
    {
        $csFactory = new MgCoordinateSystemFactory();
        $siteConnection = new MgSiteConnection();
        $userInfo = new MgUserInformation("Anonymous", "");
        $siteConnection->Open($userInfo);
        $map = new MgMap($siteConnection);
        $mdfId = new MgResourceIdentifier($_REQUEST["MapDefinition"]);
        $map->Create($mdfId, $mdfId->GetName());
        
        $mapCs = $csFactory->Create($map->GetMapSRS());
        $metersPerUnit = $mapCs->ConvertCoordinateSystemUnitsToMeters(1.0);
        
        echo "Meters per unit is: $metersPerUnit";
    }
    ?>
    </body>
</html>